# ----------------------------------------------------------------------------
### PROJECT SETTINGS

PROJECT_NAME=siasar3
PROJECT_BASE_URL=siasar3.localhost
# If your project resides in a subdir you can specify it on PROJECT_BASE_PATH
PROJECT_BASE_PATH=public

DB_NAME=db
DB_USER=db
DB_PASSWORD=db
DB_ROOT_PASSWORD=root
DB_HOST=mariadb
DB_DRIVER=mysql

### --- MARIADB ----

MARIADB_TAG=10.11
#MARIADB_TAG=10.5-3.13.20
#MARIADB_TAG=10.5-3.9.7
#MARIADB_TAG=10.4-3.9.7
#MARIADB_TAG=10.3-3.9.7
#MARIADB_TAG=10.2-3.9.7

MYSQL_INNODB_LOG_FILE_SIZE=1024M
MYSQL_INNODB_BUFFER_POOL_SIZE=2G
MYSQL_INNODB_BUFFER_POOL_INSTANCES=4
MYSQL_INNODB_DOUBLEWRITE=OFF
MYSQL_INNODB_FAST_SHUTDOWN=2

# Some ENV Variables:
#MYSQL_INNODB_BUFFER_POOL_SIZE=1G
#MYSQL_INNODB_IO_CAPACITY=1200
#MYSQL_INNODB_LOG_BUFFER_SIZE=64M
#MYSQL_INNODB_LOG_FILE_SIZE=256M
#MYSQL_INNODB_READ_IO_THREADS=16
#MYSQL_INNODB_WRITE_IO_THREADS=16
#MYSQL_OPTIMIZER_SEARCH_DEPTH=0
#MYSQL_QUERY_CACHE_TYPE=0
#MYSQL_QUERY_CACHE_SIZE=0

### --- VANILLA DRUPAL ----

DRUPAL_TAG=9-4.25.4
#DRUPAL_TAG=8-4.25.4
#DRUPAL_TAG=7-4.25.4

### --- PHP ----

# Linux (uid 1000 gid 1000)

#PHP_TAG=7.4-dev-4.21.4
PHP_TAG=8.0-dev-4.21.4
#PHP_TAG=7.3-dev-4.21.4

# macOS (uid 501 gid 20)

#PHP_TAG=8.0-dev-macos-4.21.4
#PHP_TAG=7.4-dev-macos-4.21.4
#PHP_TAG=7.3-dev-macos-4.21.4

#PHP_MAX_EXECUTION_TIME=120
#PHP_POST_MAX_SIZE=32M
#PHP_UPLOAD_MAX_FILESIZE=320M
#PHP_MEMORY_LIMIT=512M

# All PHP Environment Variables can be found here:
# https://github.com/wodby/php

### --- NGINX ----

NGINX_TAG=1.19-5.10.11
#NGINX_TAG=1.18-5.10.11

NGINX_VHOST_PRESET=drupal9
#NGINX_VHOST_PRESET=drupal8
#NGINX_VHOST_PRESET=drupal7

### --- SOLR ---

SOLR_CONFIG_SET="search_api_solr_4.1.6"
#SOLR_CONFIG_SET="search_api_solr_4.0.1"
#SOLR_CONFIG_SET="search_api_solr_8.x-3.9"
#SOLR_CONFIG_SET="search_api_solr_8.x-3.2"
#SOLR_CONFIG_SET="search_api_solr_8.x-2.7"
#SOLR_CONFIG_SET="search_api_solr_8.x-1.2"
#SOLR_CONFIG_SET="search_api_solr_7.x-1.14"

SOLR_TAG=8-4.8.0
#SOLR_TAG=7-4.8.0
#SOLR_TAG=6-4.8.0
#SOLR_TAG=5-4.8.0

# Specify the relative path starting from the "web" dir.
SOLR_CORE_CONFIG_DIR=./web/search_api_solr/solr-conf-templates/7.x

# (Optional) max RAM amount.
#SOLR_HEAP=1024m

### --- ELASTICSEARCH ---

ELASTICSEARCH_TAG=7-5.8.1
#ELASTICSEARCH_TAG=6-5.8.1

### --- KIBANA ---

KIBANA_TAG=7-5.8.1
#KIBANA_TAG=6-5.8.1

### --- REDIS ---

REDIS_TAG=6-3.4.8
#REDIS_TAG=5-3.4.8

### --- NODE ---

NODE_TAG=14-dev-0.51.4
#NODE_TAG=12-dev-0.51.4
#NODE_TAG=10-dev-0.51.4

### --- VARNISH ---

VARNISH_TAG=6.0-4.4.11
#VARNISH_TAG=4.1-4.4.11

### --- POSTGRESQL ----

POSTGRES_TAG=12-1.15.0
#POSTGRES_TAG=11-1.15.0
#POSTGRES_TAG=10-1.15.0
#POSTGRES_TAG=9.6-1.15.0
#POSTGRES_TAG=9.5-1.15.0
#POSTGRES_TAG=9.4-1.15.0

### OTHERS

ADMINER_TAG=4-3.13.4
APACHE_TAG=2.4-4.3.5
ATHENAPDF_TAG=2.16.0
DRUPAL_NODE_TAG=1.0-2.0.0
MEMCACHED_TAG=1-2.6.6
OPENSMTPD_TAG=6.0-1.7.3
RSYSLOG_TAG=latest
SELENIUM_CHROME_TAG=3.141
WEBGRIND_TAG=1-1.20.0
XHPROF_TAG=2.6.4


# ----------------------------------------------------------------------------
### Terminus

MACHINE_TOKEN=
SITE=

# Dockerizer customs
POSTGRESS_TAG=latest

# ----------------------------------------------------------------------------
